### Method

# Foundry ConfigManager find_config

#### Declaration [src]

    FoundryConfig*
    foundry_config_manager_find_config (
      FoundryConfigManager* self,
      const char* config_id
    )

#### Description [src]

Looks through available configs to find one matching `config_id`.

#### Parameters

`config_id`

  Type: `const char*`

  An identifier matching a `FoundryConfig:id`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryConfig`

A `FoundryConfig` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.